.TH PRINTSUIF 1 "Sep 26 1997" "Stanford University" "SUIF Compiler"
.SH NAME
printsuif \- print SUIF version 1.x files as text
.SH SYNOPSIS
.B printsuif
[
.I options
] suif1_files .\^.\^.
.SH DESCRIPTION
The
.I printsuif
program reads all of the specified SUIF version 1.x files and prints
their contents to the standard output.  SUIF version 1.x files are
written in a binary format that saves space and is easy for the SUIF
version 1.x library to read.
Consequently,
.I printsuif
must be used to convert them to a text format that is readable by
humans.  The SUIF version 1.x reference manual describes the format of
the text output produced by
.IR printsuif .
.SH OPTIONS
.TP
.B \-ftn
Convert the SUIF version 1.x code to Fortran format before printing it
out.  In Fortran format, parameters are passed by reference.  See the
SUIF version 1.x reference manual for more details.
.TP
.B \-no-symtabs
Do not print out any of the SUIF version 1.x symbol tables.
.TP
.B \-no-types
Omit the result types when printing SUIF version 1.x instructions.
.TP
.B \-no-exprs
Do not build expression trees.  The default is to build the expression
trees when each procedure is read in.
.TP
.B \-print-flat
Print annotations as flat lists of
.B immed
values, even if they have been registered with user-defined printing
functions.  This option is required if the output is to be parsed and
converted back to the SUIF version 1.x binary format.
.TP
.B \-raw
Print the low-level instruction list without building any of
the symbol tables or other high-level structures.  This option
is only for debugging the SUIF version 1.x library.
.TP
.B \-mach
Print the target machine parameters.  This information is set in the
front end and caried along in the SUIF version 1.x file to s2c or
another back end.  It is available in the SUIF version 1.x library's
``target'' structure.
